# fn:index-of

fn:index-of(xdt:anyAtomicType* $seqParam, xdt:anyAtomicType $srchParam) → integer*

Function signature

$seqParam | xdt:anyAtomicType *
$srchParam | xdt:anyAtomicType
Result | xs:integer *

Finds the positions of items in a sequence that match the second argument

XPath 2.0 Specification

Implemented.

fn:index-of(xdt:anyAtomicType* $seqParam, xdt:anyAtomicType $srchParam, string $collation) → unsignedInt*

Function signature

$seqParam | xdt:anyAtomicType *
$srchParam | xdt:anyAtomicType
$collation | xs:string
Result | xs:integer *

Finds the positions of items in a sequence that match the second argument, using a named collation for the comparison

XPath 2.0 Specification

Implemented.

Expand | Up Next